---
apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
      service.beta.openshift.io/serving-cert-secret-name: cluster-autoscaler-operator-cert
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
    creationTimestamp: "2022-03-08T10:14:12Z"
    labels:
      k8s-app: cluster-autoscaler-operator
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:service.beta.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:k8s-app: {}
        f:spec:
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
            k:{"port":9192,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:k8s-app: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:14:12Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2022-03-08T10:39:20Z"
    name: cluster-autoscaler-operator
    namespace: openshift-machine-api
    resourceVersion: "8291"
    selfLink: /api/v1/namespaces/openshift-machine-api/services/cluster-autoscaler-operator
    uid: 69b0f799-dd05-425c-94ad-ddba0477f70b
  spec:
    clusterIP: 172.30.168.70
    ports:
    - name: https
      port: 443
      protocol: TCP
      targetPort: 8443
    - name: metrics
      port: 9192
      protocol: TCP
      targetPort: metrics
    selector:
      k8s-app: cluster-autoscaler-operator
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      service.alpha.openshift.io/serving-cert-secret-name: machine-api-controllers-tls
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
    creationTimestamp: "2022-03-08T10:14:19Z"
    labels:
      k8s-app: controller
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:service.alpha.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:k8s-app: {}
        f:spec:
          f:ports:
            .: {}
            k:{"port":8441,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
            k:{"port":8442,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
            k:{"port":8444,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:k8s-app: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:14:19Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2022-03-08T10:39:10Z"
    name: machine-api-controllers
    namespace: openshift-machine-api
    resourceVersion: "7821"
    selfLink: /api/v1/namespaces/openshift-machine-api/services/machine-api-controllers
    uid: a0f3a396-b199-480e-a451-1510d2c69ac9
  spec:
    clusterIP: 172.30.151.212
    ports:
    - name: machine-mtrc
      port: 8441
      protocol: TCP
      targetPort: machine-mtrc
    - name: machineset-mtrc
      port: 8442
      protocol: TCP
      targetPort: machineset-mtrc
    - name: mhc-mtrc
      port: 8444
      protocol: TCP
      targetPort: mhc-mtrc
    selector:
      k8s-app: controller
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      service.alpha.openshift.io/serving-cert-secret-name: machine-api-operator-tls
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
    creationTimestamp: "2022-03-08T10:14:19Z"
    labels:
      k8s-app: machine-api-operator
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:service.alpha.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:k8s-app: {}
        f:spec:
          f:ports:
            .: {}
            k:{"port":8443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:k8s-app: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:14:19Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2022-03-08T10:39:10Z"
    name: machine-api-operator
    namespace: openshift-machine-api
    resourceVersion: "7840"
    selfLink: /api/v1/namespaces/openshift-machine-api/services/machine-api-operator
    uid: d58a9747-e148-4758-91f4-20b9a0cf2b5b
  spec:
    clusterIP: 172.30.2.68
    ports:
    - name: https
      port: 8443
      protocol: TCP
      targetPort: https
    selector:
      k8s-app: machine-api-operator
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      exclude.release.openshift.io/internal-openshift-hosted: "true"
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
      service.beta.openshift.io/serving-cert-secret-name: machine-api-operator-webhook-cert
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
    creationTimestamp: "2022-03-08T10:14:18Z"
    labels:
      k8s-app: machine-api-operator-webhook
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:exclude.release.openshift.io/internal-openshift-hosted: {}
            f:service.beta.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:k8s-app: {}
        f:spec:
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:api: {}
            f:k8s-app: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-version-operator
      operation: Update
      time: "2022-03-08T10:14:18Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2022-03-08T10:39:17Z"
    name: machine-api-operator-webhook
    namespace: openshift-machine-api
    resourceVersion: "8174"
    selfLink: /api/v1/namespaces/openshift-machine-api/services/machine-api-operator-webhook
    uid: 95e4f30f-3b64-455c-82d6-94ad68f4a7c7
  spec:
    clusterIP: 172.30.121.120
    ports:
    - name: https
      port: 443
      protocol: TCP
      targetPort: webhook-server
    selector:
      api: clusterapi
      k8s-app: controller
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: ServiceList
metadata:
  resourceVersion: "82612"
  selfLink: /api/v1/namespaces/openshift-machine-api/services
